Lấy danh sách khóa học
curl --request GET \
--url https://api.fireant.vn/academy/courses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/academy/courses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/academy/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"courseId": 123,
"name": "<string>",
"duration": 123,
"lessonsAmount": 123,
"timetable": "<string>",
"description": "<string>",
"content": "<string>",
"objective": "<string>",
"level": "<string>",
"fee": 123,
"subject": {
"subjectId": 123,
"name": "<string>"
},
"isHot": true,
"image": "aSDinaTvuI8gbWludGxpZnk=",
"introduction": "<string>",
"isOnline": true,
"classId": 123,
"teachers": [
{
"roleId": 123,
"id": "<string>",
"userName": "<string>",
"name": "<string>",
"introduction": "<string>",
"gender": 0,
"photo": "aSDinaTvuI8gbWludGxpZnk="
}
],
"lessons": [
{
"lessonId": 123,
"lessonName": "<string>",
"hasAttachedFile": true,
"content": "<string>",
"videoUrl": "<string>",
"courseId": 123,
"positionIndex": 123,
"course": "<unknown>"
}
],
"type": 0,
"benefit": "<string>",
"revenueCatId": "<string>"
}
]Academy
Lấy danh sách khóa học
GET
/
academy
/
courses
Lấy danh sách khóa học
Ủy quyền
OAuth2 Implicit Grant
Tham số truy vấn
Lọc theo chủ đề khóa học (Mặc định là 0, lấy tất cả)
Phân loại (0: lớp học, 1: hội thảo, mặc địch là 0)
Lọc theo cấp độ khóa học (Basic, Advance...)
Lọc theo khóa học nổi bật
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
(Learning = Khóa học, Seminar = Hội thảo)
Tùy chọn có sẵn:
0, 1